"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _loansInterface = require("./loansInterface.js");

const service = (get = _request.getRequest, post = _request.postRequest) => ({
  get: get(params => `v0/credit/${params.document}/loans`),
  post: post(params => `v0/credit/${params.document}/proposals/` + `${params.proposalId}/loans`, _loansInterface.loansInterface)
});

exports.service = service;