import { getRequest, postRequest } from '../../../helpers/request.js';
import { loansInterface } from './loansInterface.js';

export const service = (get = getRequest, post = postRequest) => ({
  get: get(params => `v0/credit/${params.document}/loans`),
  post: post(params => `v0/credit/${params.document}/proposals/` +
    `${params.proposalId}/loans`, loansInterface),
});
