import { matchesInterface } from 'sling-helpers';
import { loansInterface } from './loansInterface.js';

describe('Loans Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      signer: {
        name: 'Stone Payments',
        phoneNumber: '2133333333',
      },
    };
    expect(matchesInterface(loansInterface)(payload)).to.be.true;
  });
});
